=== plugins/extensions/colorspaceconversion/CMakeLists.txt ===
set(kritacolorspaceconversion_SOURCES colorspaceconversion.cc dlg_colorspaceconversion.cc )
ki18n_wrap_ui(kritacolorspaceconversion_SOURCES wdgconvertcolorspace.ui )
add_library(kritacolorspaceconversion MODULE ${kritacolorspaceconversion_SOURCES})
target_link_libraries(kritacolorspaceconversion kritaui)
install(TARGETS kritacolorspaceconversion  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})
install( FILES  colorspaceconversion.xmlgui  DESTINATION ${DATA_INSTALL_DIR}/kritaplugins)
