=== plugins/dockers/defaultdockers/tests/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/sdk/tests ${CMAKE_CURRENT_BINARY_DIR}/..)

macro_add_unittest_definitions()
