## krita 3.1.1+dfsg

=== debian/changelog ===
krita (1:3.1.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #811432)
  * New upstream release.
  * Update watch file.
  * Update Vcs-* fields.
  * Update copyright.
  * Pass -DFOUNDATION_BUILD=OFF to cmake to enforce it, to make sure resources
    provided by distro packages are not installed.
    - stop removing the Breeze color schemes, they are not installed anymore
  * Suggest ffmpeg, used for the video export.
  * Update lintian overrides.
  * Enable the OpenEXR support again -- it seems the conflict with Eigen3
    headers is gone
    - add the libopenexr-dev build dependency
  * Add Breaks/Replaces for all the calligra-l10n packages prior to < 2.9.11,
    i.e. when krita was split out of calligra (in Debian).

 -- Pino Toscano <pino@debian.org>  Fri, 23 Dec 2016 14:43:45 +0100

krita (1:3.0.1+dfsg-1) experimental; urgency=low

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Sep 2016 11:46:46 +0200
