## krita 3.1.2.1

=== debian/changelog ===
krita (1:3.1.2.1-0ubuntu1) zesty; urgency=medium

  * New upstream release (3.1.2.1)
  * Restore Kubuntu VCS fields
  * Build depend on vc-dev on amd64 and i386 where a new enough version
    is now available. Recommended by krita developers 'to speed up it's
    brush strokes with CPU vector instructions'.
  * wrap-and-sort control file
  * Build dep on qtmultimedia5-dev for animation audio support.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Mar 2017 20:29:55 +0000

krita (1:3.1.1+dfsg-1build1) zesty; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 19:00:58 -0500

krita (1:3.1.0-0ubuntu1) zesty; urgency=medium

  * Initial packaging for Krita 3 split from calligra
  * New upstream release (3.0.1)
  * New upstream release (3.1.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 14 Dec 2016 19:29:22 +0000
