=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
+               extra-cmake-modules (>= 1.7.0),
                gettext,
                libboost-system-dev,
                libcurl4-gnutls-dev | libcurl-dev,
@@ -13,23 +14,6 @@
                libfftw3-dev,
                libgsl-dev,
                libjpeg-dev,
-               liblcms2-dev,
-               libopencolorio-dev,
-               libopenexr-dev,
-               libpng-dev,
-               libpoppler-qt5-dev,
-               libraw-dev,
-               libtiff-dev,
-               libxcb1-dev,
-               libxcb-util0-dev,
-               libxi-dev,
-               pkg-config,
-               pkg-kde-tools (>= 0.15.16),
-               zlib1g-dev,
-               extra-cmake-modules (>= 1.7.0),
-               qtbase5-dev (>= 5.4.0),
-               libqt5svg5-dev (>= 5.4.0),
-               libqt5x11extras5-dev (>= 5.4.0),
                libkf5archive-dev (>= 5.7.0),
                libkf5completion-dev (>= 5.7.0),
                libkf5config-dev (>= 5.7.0),
@@ -42,20 +26,34 @@
                libkf5kio-dev (>= 5.7.0),
                libkf5widgetsaddons-dev (>= 5.7.0),
                libkf5windowsystem-dev (>= 5.7.0),
+               liblcms2-dev,
+               libopencolorio-dev,
+               libopenexr-dev,
+               libpng-dev,
+               libpoppler-qt5-dev,
+               libqt5svg5-dev (>= 5.4.0),
+               libqt5x11extras5-dev (>= 5.4.0),
+               libraw-dev,
+               libtiff-dev,
+               libxcb-util0-dev,
+               libxcb1-dev,
+               libxi-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.4.0),
+               qtmultimedia5-dev,
+               vc-dev [amd64 i386],
+               zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: https://krita.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/krita.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/krita.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krita
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krita
 
 Package: krita
 Architecture: any
 Section: graphics
-Depends: krita-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: krita-l10n (>= ${source:Version}),
-          colord,
-          ffmpeg,
+Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Breaks: krita-data (<< 1:2.4)
 Replaces: krita-data (<< 1:2.4)
 Description: pixel-based image manipulation program
