## krita 3.2.1+dfsg

=== debian/changelog ===
krita (1:3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop the libcurl4-gnutls-dev build dependency, no more searched by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Aug 2017 20:32:08 +0200

krita (1:3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - fixes scroll wheel behavior with Qt 5.7+ (Closes: #871482)

  [ Simon Quigley ]
  * Run wrap-and-sort to organize debian/control.

  [ Pino Toscano ]
  * Drop removal of gmicparser, no more shipped upstream.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Small copyright update.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 08:56:22 +0200

krita (1:3.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies:
    - add qtmultimedia5-dev, for the animation features
    - add vc-dev (only on i386 and amd64 architectures), since it is available
      in Debian
    - bump all the Qt packages to 5.6.0, as required by the upstream build
      system
  * Drop the -DPACKAGERS_BUILD=ON cmake parameter, as that option is gone.
  * Update copyright.
  * Record as Built-Using the version of the source of vc-dev used for the
    build.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 06:57:06 +0200
