=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                extra-cmake-modules (>= 1.7.0),
                gettext,
                libboost-system-dev,
-               libcurl4-gnutls-dev | libcurl-dev,
                libeigen3-dev,
                libexiv2-dev,
                libfftw3-dev,
@@ -31,8 +30,8 @@
                libopenexr-dev,
                libpng-dev,
                libpoppler-qt5-dev,
-               libqt5svg5-dev (>= 5.4.0),
-               libqt5x11extras5-dev (>= 5.4.0),
+               libqt5svg5-dev (>= 5.6.0),
+               libqt5x11extras5-dev (>= 5.6.0),
                libraw-dev,
                libtiff-dev,
                libxcb-util0-dev,
@@ -40,14 +39,14 @@
                libxi-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.4.0),
-               qtmultimedia5-dev,
-               vc-dev [amd64 i386],
+               qtbase5-dev (>= 5.6.0),
+               qtmultimedia5-dev (>= 5.6.0),
+               vc-dev [any-i386 any-amd64],
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://krita.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krita
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krita
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/krita.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/krita.git
 
 Package: krita
 Architecture: any
@@ -56,6 +55,7 @@
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Breaks: krita-data (<< 1:2.4)
 Replaces: krita-data (<< 1:2.4)
+Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program
  Krita is a creative application for raster images. Whether you want to create
  from scratch or work with existing images, Krita is for you. You can work with
