=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
+DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+ifeq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),amd64 i386))
+  VC_DEV_VERSION = $(shell dpkg-query -Wf '$${source:Package} (= $${source:Version})' vc-dev)
+else
+  VC_DEV_VERSION =
+endif
 
 # conflicts with old calligra-l10n
 # (mostly copied from l10n-packages.mk in pkg-kde-tools)
@@ -18,19 +25,18 @@
 	dh $@ --parallel --with kf5
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DPACKAGERS_BUILD=ON -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF
+	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF
 
 override_dh_auto_install:
 	dh_auto_install
 	# remove symlinks of private libraries
 	find debian/tmp -name '*.so' -type l -print -delete
-	# unused tool
-	rm -v debian/tmp/usr/bin/gmicparser
 
 override_dh_install:
 	dh_install --list-missing
 
 override_dh_gencontrol:
+	dh_gencontrol -pkrita -- -Vvc:Built-Using='$(VC_DEV_VERSION)'
 	dh_gencontrol -pkrita-l10n -- -Vkrita:oldLangs='$(l10npkgs_packages_rels)'
 	dh_gencontrol --remaining-packages
